org.firebirdsql.gds.ng.listeners

## Class TransactionListenerDispatcher

- java.lang.Object
- - org.firebirdsql.gds.ng.listeners.AbstractListenerDispatcher<TransactionListener>
  - - org.firebirdsql.gds.ng.listeners.TransactionListenerDispatcher

- All Implemented Interfaces:
    java.lang.Iterable<TransactionListener>, TransactionListener

      public final class TransactionListenerDispatcher
      extends AbstractListenerDispatcher<TransactionListener>
      implements TransactionListener

  Dispatcher to maintain and notify other `TransactionListener`.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionListenerDispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transactionStateChanged(FbTransaction transaction, TransactionState newState, TransactionState previousState)` Signals that the transaction state changed.

    - ### Methods inherited from class org.firebirdsql.gds.ng.listeners.AbstractListenerDispatcher

      `addListener, addWeakListener, isShutdown, iterator, removeAllListeners, removeListener, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionListenerDispatcher

          public TransactionListenerDispatcher()

  - ### Method Detail

    - #### transactionStateChanged

          public void transactionStateChanged(FbTransaction transaction,
                                     TransactionState newState,
                                     TransactionState previousState)

      Description copied from interface: `TransactionListener`
      Signals that the transaction state changed.
      Specified by:
        `transactionStateChanged` in interface `TransactionListener`
      Parameters:
        `transaction` - `FbTransaction` that changed state

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.